UnifAPI Docs
Instagram

List comments on an Instagram post

GET
/instagram/posts/{shortcode}/comments

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Path Parameters

shortcode*string
Length1 <= length

Query Parameters

cursor?string
sort?string

Comment sort order; defaults to upstream behaviour (popular).

Value in"popular" | "newest"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/instagram/posts/string/comments"
{
  "items": [
    {
      "id": "string",
      "user": {
        "id": "string",
        "user_id": "string",
        "username": "string",
        "full_name": "string",
        "is_verified": true,
        "is_private": true,
        "profile_pic_url": "string"
      },
      "text": "string",
      "created_at": 0,
      "like_count": 0,
      "child_comment_count": 0,
      "has_translation": true,
      "has_liked": true,
      "parent_comment_id": "string"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}